Skip to main content

Delete an SSH user

DELETE/v2/ssh-users/{sshUserId}
API version
v2
Request method
DELETE
Operation ID
ssh-user-delete-ssh-user

Request​

  • sshUserIdstringrequired

    ID of the SSHUser to be deleted.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/ssh-users/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.sshsftpUser.sshUserDeleteSshUser({
"sshUserId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\SSHSFTPUser\SshUserDeleteSshUser\SshUserDeleteSshUserRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new SshUserDeleteSshUserRequest(
sshUserId: "string"
));
$response = $client->sshsftpUser()->sshUserDeleteSshUser($request);

var_dump($response->getBody();

On this page